Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058247 - Guided editor: Blank free form drl fragment causes error when switching to Source tab or saving
Summary: Guided editor: Blank free form drl fragment causes error when switching to So...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER2
: 6.0.1
Assignee: manstis
QA Contact: Pavel Kralik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-27 10:44 UTC by Zuzana Krejčová
Modified: 2016-08-01 01:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 19:56:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Zuzana Krejčová 2014-01-27 10:44:08 UTC
Description of problem:
When you leave a free form DRL input blank in a guided rule, then switch to the source tab, you get an Error dialog:

Unable to complete your request. The following exception occurred: java.lang.reflect.InvocationTargetException : org.drools.workbench.models.datamodel.rule.FreeFormLine@36061bb.

The source page/panel is completely blank.

If you try to save the rule, the action fails with the same error (rule is not saved). 

Server log is clean.


Version-Release number of selected component (if applicable):
BPMS 6.0 CR2

Comment 4 Zuzana Krejčová 2014-02-20 10:57:11 UTC
Please, could you fix this in Guided Rule Template as well?

Comment 6 Pavel Kralik 2014-03-20 13:48:55 UTC
Verified for brms-6.0.1-ER2 deployable for eap6.


Note You need to log in before you can comment on or make changes to this bug.